=== debian/changelog ===
qm-dsp (1.7.1-9) unstable; urgency=medium

  * Slightly relax float-equality test in testsuite (Closes: #1070450)
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 22:36:56 +0200

qm-dsp (1.7.1-8) unstable; urgency=medium

  * Update lapack patch to declare dgetr[fi]_()
    (Closes: #1066007, #1066192)
  * B-D on pkgconf (but fallback to pkg-config)
  * Build and run upstream tests via autopktest
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 15:02:10 +0100

qm-dsp (1.7.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062718

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:37:40 +0000

qm-dsp (1.7.1-7) unstable; urgency=medium

  * B-D on liblapack-dev
    - Instead of the atlas-headers that are to be removed from Debian
    (Closes: #1056685)
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 22 Jan 2024 09:01:00 +0100

qm-dsp (1.7.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove listed license files (ext/kissfft/COPYING) from copyright.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Update standards version to 4.6.1, no changes needed.

  [ IOhannes m zmölnig ]
  * Provide 'makefile' based buildsystem
    + Drop buildsystem within d/rules
  * Declare which files to install
  * Use d/clean for cleanup
  * Refresh d/copyright
  * Modernize 'licensecheck' target
    + Regenerate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Modernize d/watch
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 15:43:47 +0100

qm-dsp (1.7.1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig ]
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Remove obsolete file d/source/local-options
  * Use https:// for project URLs
  * Add 'licensecheck' target
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Dec 2021 08:46:58 +0100

qm-dsp (1.7.1-4) unstable; urgency=medium

  * Remove fix_includes patch (Closes: #877055)
    * Build-Conflict on libblas-dev/libclapack-dev
  * Modernize Vcs-Browser stanza
  * Bump standards version to 4.1.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 28 Sep 2017 22:31:25 +0200

qm-dsp (1.7.1-3) unstable; urgency=medium

  * Introduce postclone.sh script to ignore .pc/ dir.
  * Bump Standards.
  * Update copyright.
  * Fix dh version.
  * Avoid useless linking.
  * Fix FTCBFS. (Closes: #872249)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 15 Aug 2017 15:45:08 +0200

qm-dsp (1.7.1-2) unstable; urgency=medium

  * B-D on pkg-config &  libatlas-base-dev
  * Link with g++
  * Use shlibs:Depends for library-dependencies

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 15 Dec 2016 23:04:50 +0100

qm-dsp (1.7.1-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Initial release (Closes: #847169)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 15 Dec 2016 20:55:43 +0100
