=== debian/control ===
Source: qm-dsp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 liblapack-dev | liblapack.so,
 pkgconf | pkg-config,
 vamp-plugin-sdk,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://code.soundsoftware.ac.uk/projects/qm-dsp
Vcs-Git: https://salsa.debian.org/multimedia-team/qm-dsp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qm-dsp

Package: libqm-dsp0t64
Provides:
 ${t64:Provides},
Replaces:
 libqm-dsp0,
Breaks:
 libqm-dsp0 (<< ${source:Version}),
Section: libs
Architecture: any
Depends:
 vamp-plugin-sdk,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Description: C++ library for audio signals analysis
 This is a C++ library for DSP and Music Informatics purposes,
 written at the Queen Mary University.
 Among other things, it provides functions for audio analysis.
 .
 This package contains the shared library for libqm-dsp.

Package: libqm-dsp-dev
Section: libdevel
Architecture: any
Depends:
 libqm-dsp0t64 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: Development files (headers) for libqm-dsp library
 This is a C++ library for DSP and Music Informatics purposes,
 written at the Queen Mary University.
 Among other things, it provides functions for audio analysis.
 .
 This package contains the headers used to build applications
 that use libqm-dsp.
