=== debian/watch ===
version=4
opts=dversionmangle=auto \
https://code.soundsoftware.ac.uk/projects/qm-dsp/files \
	/attachments/download/\d+/qm-dsp-([\d.]+)\.tar\.gz
